메인 콘텐츠로 건너뛰기
POST
/
augment
/
text-parser
/api/v1/augment/text-parser
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/text-parser \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form response_format=json
{
  "text": "<string>",
  "tokens": 123
}
이것은 실험적 API입니다. 요청 및 응답 형식은 사전 통보 없이 변경될 수 있습니다.
file 필드를 사용하여 multipart/form-data로 문서 파일을 업로드하세요. 지원되는 형식에는 PDF, DOCX, XLSX일반 텍스트 파일(최대 25MB)이 포함됩니다. 추출된 텍스트와 토큰 수가 포함된 구조화된 출력을 원하면 response_formatjson(기본값)으로 설정하고, 원시 추출 텍스트를 원하면 text로 설정하세요. 개인정보 보호: 텍스트 파싱은 Venice 인프라에서 메모리 내에서만 실행되며 데이터 보존이 없습니다. 문서는 처리된 후 즉시 폐기되며, 콘텐츠는 저장되거나 기록되지 않습니다. 가격: 요청당 $0.01.

예제 (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/text-parser \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -F "[email protected]" \
  -F "response_format=json"

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

multipart/form-data
file
file
필수

The document file to parse. Supported formats: PDF, DOCX, PPTX, XLSX, and plain text files. Maximum size: 25MB.

response_format
enum<string>
기본값:json

The format of the response output. "json" returns structured JSON with text and token count, "text" returns only the extracted text.

사용 가능한 옵션:
json,
text

응답

Text extraction completed successfully

Text parser response containing extracted text and token count.

text
string
필수

The extracted text content from the document.

tokens
number
필수

The token count of the extracted text.